<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: linear_exception_holder Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>linear_exception_holder Struct Reference</h1><!-- doxytag: class="linear_exception_holder" -->
<p><a href="structlinear__exception__holder-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlinear__exception__holder.html#af58917e56c6831b227e006673710fe5d">what</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">jmp_buf&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlinear__exception__holder.html#ad9a2b584f896181a0578b05c6cb7cc3e">where</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlinear__exception__holder.html#afcc50c683b77f6a21e07b49ac2bc81f3">function</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlinear__exception__holder.html#a4da979c2531ecea486a511e6540c031a">file</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlinear__exception__holder.html#a03fe66cae813ea2b3328f04878aec61b">line</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="errors_8c_source.html#l00165">165</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4da979c2531ecea486a511e6540c031a"></a><!-- doxytag: member="linear_exception_holder::file" ref="a4da979c2531ecea486a511e6540c031a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="structlinear__exception__holder.html#a4da979c2531ecea486a511e6540c031a">linear_exception_holder::file</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="errors_8c_source.html#l00178">178</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>

<p>Referenced by <a class="el" href="errors_8c_source.html#l00249">push_exception_on_stack()</a>.</p>

</div>
</div>
<a class="anchor" id="afcc50c683b77f6a21e07b49ac2bc81f3"></a><!-- doxytag: member="linear_exception_holder::function" ref="afcc50c683b77f6a21e07b49ac2bc81f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="structlinear__exception__holder.html#afcc50c683b77f6a21e07b49ac2bc81f3">linear_exception_holder::function</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="errors_8c_source.html#l00177">177</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>

<p>Referenced by <a class="el" href="errors_8c_source.html#l00249">push_exception_on_stack()</a>.</p>

</div>
</div>
<a class="anchor" id="a03fe66cae813ea2b3328f04878aec61b"></a><!-- doxytag: member="linear_exception_holder::line" ref="a03fe66cae813ea2b3328f04878aec61b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structlinear__exception__holder.html#a03fe66cae813ea2b3328f04878aec61b">linear_exception_holder::line</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="errors_8c_source.html#l00179">179</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>

<p>Referenced by <a class="el" href="errors_8c_source.html#l00249">push_exception_on_stack()</a>.</p>

</div>
</div>
<a class="anchor" id="af58917e56c6831b227e006673710fe5d"></a><!-- doxytag: member="linear_exception_holder::what" ref="af58917e56c6831b227e006673710fe5d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structlinear__exception__holder.html#af58917e56c6831b227e006673710fe5d">linear_exception_holder::what</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="errors_8c_source.html#l00169">169</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>

<p>Referenced by <a class="el" href="errors_8c_source.html#l00249">push_exception_on_stack()</a>.</p>

</div>
</div>
<a class="anchor" id="ad9a2b584f896181a0578b05c6cb7cc3e"></a><!-- doxytag: member="linear_exception_holder::where" ref="ad9a2b584f896181a0578b05c6cb7cc3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">jmp_buf <a class="el" href="structlinear__exception__holder.html#ad9a2b584f896181a0578b05c6cb7cc3e">linear_exception_holder::where</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="errors_8c_source.html#l00173">173</a> of file <a class="el" href="errors_8c_source.html">errors.c</a>.</p>

<p>Referenced by <a class="el" href="errors_8c_source.html#l00249">push_exception_on_stack()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="errors_8c_source.html">errors.c</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
